function dx = ThreeTank(t,x,u,p)
% ThreeTank A benchmark Three-Tank system for liquid level control.
%
%   [dXdt] = ThreeTank(T,X,U,P) returns the time-derivatives of each
%       state variable given time (t), current state x(t), input u(t), 
%       and parameter values [p].
% 
%       The process has Nx = 3 state variables and Nu = 2 input variables,
%           x = [h_1, h_2, h_3],   u = [Q_1, Q_3]
%

    % -- Constant Parameters --
    S_T = p(1); S_V = p(2);
    a_V = p(3); a_0 = p(4); g = p(5);
    
    % ---- Mass balance equations ----
    dx = [ ??? ];        % <~~ Fill with the 3 model equations in Task 1

% -- --
end

